nxt.blockchain

## Interface TransactionProcessor

- All Superinterfaces:
    Observable<java.util.List<? extends Transaction>,TransactionProcessor.Event>
  All Known Implementing Classes:
    TransactionProcessorImpl

      public interface TransactionProcessor
      extends Observable<java.util.List<? extends Transaction>,TransactionProcessor.Event>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TransactionProcessor.Event`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(Transaction transaction)`
    `void` | `broadcastLater(Transaction transaction)`
    `void` | `clearUnconfirmedTransactions()`
    `Transaction[]` | `getAllBroadcastedTransactions()`
    `java.util.List<java.lang.Long>` | `getAllUnconfirmedTransactionIds()`
    `DbIterator<? extends Transaction>` | `getAllUnconfirmedTransactions()`
    `DbIterator<? extends Transaction>` | `getAllUnconfirmedTransactions(int from, int to)`
    `DbIterator<? extends Transaction>` | `getAllUnconfirmedTransactions(int from, int to, java.lang.String sort)`
    `DbIterator<? extends Transaction>` | `getAllUnconfirmedTransactions(java.lang.String sort)`
    `UnconfirmedTransaction[]` | `getAllWaitingTransactions()`
    `java.util.SortedSet<? extends Transaction>` | `getCachedUnconfirmedTransactions(java.util.List<java.lang.Long> exclude)`
    `DbIterator<? extends Transaction>` | `getUnconfirmedChildTransactions(ChildChain chain)`
    `DbIterator<? extends Transaction>` | `getUnconfirmedFxtTransactions()`
    `UnconfirmedTransaction` | `getUnconfirmedTransaction(long transactionId)`
    `void` | `processLater(java.util.Collection<? extends FxtTransaction> transactions)`
    `java.util.List<? extends Transaction>` | `processPeerTransactions(java.util.List<Transaction> transactions)`
    `void` | `rebroadcastAllUnconfirmedTransactions()`
    `void` | `requeueAllUnconfirmedTransactions()`
    `java.util.List<Transaction>` | `restorePrunableData(java.util.List<Transaction> transactions)`

    - ### Methods inherited from interface nxt.util.Observable

      `addListener, removeListener`

- - ### Method Detail

    - #### getAllUnconfirmedTransactionIds

          java.util.List<java.lang.Long> getAllUnconfirmedTransactionIds()

    - #### getAllUnconfirmedTransactions

          DbIterator<? extends Transaction> getAllUnconfirmedTransactions()

    - #### getAllUnconfirmedTransactions

          DbIterator<? extends Transaction> getAllUnconfirmedTransactions(int from,
                                                                          int to)

    - #### getAllUnconfirmedTransactions

          DbIterator<? extends Transaction> getAllUnconfirmedTransactions(java.lang.String sort)

    - #### getAllUnconfirmedTransactions

          DbIterator<? extends Transaction> getAllUnconfirmedTransactions(int from,
                                                                          int to,
                                                                          java.lang.String sort)

    - #### getUnconfirmedFxtTransactions

          DbIterator<? extends Transaction> getUnconfirmedFxtTransactions()

    - #### getUnconfirmedChildTransactions

          DbIterator<? extends Transaction> getUnconfirmedChildTransactions(ChildChain chain)

    - #### getUnconfirmedTransaction

          UnconfirmedTransaction getUnconfirmedTransaction(long transactionId)

    - #### getAllWaitingTransactions

          UnconfirmedTransaction[] getAllWaitingTransactions()

    - #### getAllBroadcastedTransactions

          Transaction[] getAllBroadcastedTransactions()

    - #### clearUnconfirmedTransactions

          void clearUnconfirmedTransactions()

    - #### requeueAllUnconfirmedTransactions

          void requeueAllUnconfirmedTransactions()

    - #### rebroadcastAllUnconfirmedTransactions

          void rebroadcastAllUnconfirmedTransactions()

    - #### broadcast

          void broadcast(Transaction transaction)
                  throws NxtException.ValidationException

      Throws:
        `NxtException.ValidationException`

    - #### broadcastLater

          void broadcastLater(Transaction transaction)

    - #### processPeerTransactions

          java.util.List<? extends Transaction> processPeerTransactions(java.util.List<Transaction> transactions)
                                                                 throws NxtException.NotValidException

      Throws:
        `NxtException.NotValidException`

    - #### processLater

          void processLater(java.util.Collection<? extends FxtTransaction> transactions)

    - #### getCachedUnconfirmedTransactions

          java.util.SortedSet<? extends Transaction> getCachedUnconfirmedTransactions(java.util.List<java.lang.Long> exclude)

    - #### restorePrunableData

          java.util.List<Transaction> restorePrunableData(java.util.List<Transaction> transactions)